Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class EntryTransaction1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.EntryTransaction1

    public class EntryTransaction1
    extends java.lang.Object

Java class for EntryTransaction1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EntryTransaction1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Refs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionReferences1" minOccurs="0"/>
             <element name="AmtDtls" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}AmountAndCurrencyExchange2" minOccurs="0"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashBalanceAvailability1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="BkTxCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BankTransactionCodeStructure1" minOccurs="0"/>
             <element name="Chrgs" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ChargesInformation3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionInterest1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="RltdPties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionParty1" minOccurs="0"/>
             <element name="RltdAgts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionAgents1" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Purpose1Choice" minOccurs="0"/>
             <element name="RltdRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}RemittanceLocation1" maxOccurs="10" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}RemittanceInformation1" minOccurs="0"/>
             <element name="RltdDts" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionDates1" minOccurs="0"/>
             <element name="RltdPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionPrice1Choice" minOccurs="0"/>
             <element name="RltdQties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TransactionQuantities1Choice" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FinInstrmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}SecurityIdentification4Choice" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}TaxInformation2" minOccurs="0"/>
             <element name="RtrInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ReturnReasonInformation5" minOccurs="0"/>
             <element name="CorpActn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CorporateAction1" minOccurs="0"/>
             <element name="SfkpgAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashAccount7" minOccurs="0"/>
             <element name="AddtlTxInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlTxInf`
`protected AmountAndCurrencyExchange2` `amtDtls`
`protected java.util.List<CashBalanceAvailability1>` `avlbty`
`protected BankTransactionCodeStructure1` `bkTxCd`
`protected java.util.List<ChargesInformation3>` `chrgs`
`protected CorporateAction1` `corpActn`
`protected SecurityIdentification4Choice` `finInstrmId`
`protected java.util.List<TransactionInterest1>` `intrst`
`protected Purpose1Choice` `purp`
`protected TransactionReferences1` `refs`
`protected TransactionAgents1` `rltdAgts`
`protected TransactionDates1` `rltdDts`
`protected TransactionPrice1Choice` `rltdPric`
`protected TransactionParty1` `rltdPties`
`protected java.util.List<TransactionQuantities1Choice>` `rltdQties`
`protected java.util.List<RemittanceLocation1>` `rltdRmtInf`
`protected RemittanceInformation1` `rmtInf`
`protected ReturnReasonInformation5` `rtrInf`
`protected CashAccount7` `sfkpgAcct`
`protected TaxInformation2` `tax`

### Constructor Summary

Constructors
`EntryTransaction1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlTxInf()` Gets the value of the addtlTxInf property.
`AmountAndCurrencyExchange2` `getAmtDtls()` Gets the value of the amtDtls property.
`java.util.List<CashBalanceAvailability1>` `getAvlbty()` Gets the value of the avlbty property.
`BankTransactionCodeStructure1` `getBkTxCd()` Gets the value of the bkTxCd property.
`java.util.List<ChargesInformation3>` `getChrgs()` Gets the value of the chrgs property.
`CorporateAction1` `getCorpActn()` Gets the value of the corpActn property.
`SecurityIdentification4Choice` `getFinInstrmId()` Gets the value of the finInstrmId property.
`java.util.List<TransactionInterest1>` `getIntrst()` Gets the value of the intrst property.
`Purpose1Choice` `getPurp()` Gets the value of the purp property.
`TransactionReferences1` `getRefs()` Gets the value of the refs property.
`TransactionAgents1` `getRltdAgts()` Gets the value of the rltdAgts property.
`TransactionDates1` `getRltdDts()` Gets the value of the rltdDts property.
`TransactionPrice1Choice` `getRltdPric()` Gets the value of the rltdPric property.
`TransactionParty1` `getRltdPties()` Gets the value of the rltdPties property.
`java.util.List<TransactionQuantities1Choice>` `getRltdQties()` Gets the value of the rltdQties property.
`java.util.List<RemittanceLocation1>` `getRltdRmtInf()` Gets the value of the rltdRmtInf property.
`RemittanceInformation1` `getRmtInf()` Gets the value of the rmtInf property.
`ReturnReasonInformation5` `getRtrInf()` Gets the value of the rtrInf property.
`CashAccount7` `getSfkpgAcct()` Gets the value of the sfkpgAcct property.
`TaxInformation2` `getTax()` Gets the value of the tax property.
`void` `setAddtlTxInf​(java.lang.String value)` Sets the value of the addtlTxInf property.
`void` `setAmtDtls​(AmountAndCurrencyExchange2 value)` Sets the value of the amtDtls property.
`void` `setBkTxCd​(BankTransactionCodeStructure1 value)` Sets the value of the bkTxCd property.
`void` `setCorpActn​(CorporateAction1 value)` Sets the value of the corpActn property.
`void` `setFinInstrmId​(SecurityIdentification4Choice value)` Sets the value of the finInstrmId property.
`void` `setPurp​(Purpose1Choice value)` Sets the value of the purp property.
`void` `setRefs​(TransactionReferences1 value)` Sets the value of the refs property.
`void` `setRltdAgts​(TransactionAgents1 value)` Sets the value of the rltdAgts property.
`void` `setRltdDts​(TransactionDates1 value)` Sets the value of the rltdDts property.
`void` `setRltdPric​(TransactionPrice1Choice value)` Sets the value of the rltdPric property.
`void` `setRltdPties​(TransactionParty1 value)` Sets the value of the rltdPties property.
`void` `setRmtInf​(RemittanceInformation1 value)` Sets the value of the rmtInf property.
`void` `setRtrInf​(ReturnReasonInformation5 value)` Sets the value of the rtrInf property.
`void` `setSfkpgAcct​(CashAccount7 value)` Sets the value of the sfkpgAcct property.
`void` `setTax​(TaxInformation2 value)` Sets the value of the tax property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### refs

    protected TransactionReferences1 refs

#### amtDtls

    protected AmountAndCurrencyExchange2 amtDtls

#### avlbty

    protected java.util.List<CashBalanceAvailability1> avlbty

#### bkTxCd

    protected BankTransactionCodeStructure1 bkTxCd

#### chrgs

    protected java.util.List<ChargesInformation3> chrgs

#### intrst

    protected java.util.List<TransactionInterest1> intrst

#### rltdPties

    protected TransactionParty1 rltdPties

#### rltdAgts

    protected TransactionAgents1 rltdAgts

#### purp

    protected Purpose1Choice purp

#### rltdRmtInf

    protected java.util.List<RemittanceLocation1> rltdRmtInf

#### rmtInf

    protected RemittanceInformation1 rmtInf

#### rltdDts

    protected TransactionDates1 rltdDts

#### rltdPric

    protected TransactionPrice1Choice rltdPric

#### rltdQties

    protected java.util.List<TransactionQuantities1Choice> rltdQties

#### finInstrmId

    protected SecurityIdentification4Choice finInstrmId

#### tax

    protected TaxInformation2 tax

#### rtrInf

    protected ReturnReasonInformation5 rtrInf

#### corpActn

    protected CorporateAction1 corpActn

#### sfkpgAcct

    protected CashAccount7 sfkpgAcct

#### addtlTxInf

    protected java.lang.String addtlTxInf

### Constructor Detail

#### EntryTransaction1

    public EntryTransaction1()

### Method Detail

#### getRefs

    public TransactionReferences1 getRefs()

Gets the value of the refs property.

Returns:
  possible object is `TransactionReferences1`

#### setRefs

    public void setRefs​(TransactionReferences1 value)

Sets the value of the refs property.

Parameters:
  `value` - allowed object is `TransactionReferences1`

#### getAmtDtls

    public AmountAndCurrencyExchange2 getAmtDtls()

Gets the value of the amtDtls property.

Returns:
  possible object is `AmountAndCurrencyExchange2`

#### setAmtDtls

    public void setAmtDtls​(AmountAndCurrencyExchange2 value)

Sets the value of the amtDtls property.

Parameters:
  `value` - allowed object is `AmountAndCurrencyExchange2`

#### getAvlbty

    public java.util.List<CashBalanceAvailability1> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalanceAvailability1`

#### getBkTxCd

    public BankTransactionCodeStructure1 getBkTxCd()

Gets the value of the bkTxCd property.

Returns:
  possible object is `BankTransactionCodeStructure1`

#### setBkTxCd

    public void setBkTxCd​(BankTransactionCodeStructure1 value)

Sets the value of the bkTxCd property.

Parameters:
  `value` - allowed object is `BankTransactionCodeStructure1`

#### getChrgs

    public java.util.List<ChargesInformation3> getChrgs()

Gets the value of the chrgs property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the chrgs property.

For example, to add a new item, do as follows:

        getChrgs().add(newItem);

Objects of the following type(s) are allowed in the list `ChargesInformation3`

#### getIntrst

    public java.util.List<TransactionInterest1> getIntrst()

Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionInterest1`

#### getRltdPties

    public TransactionParty1 getRltdPties()

Gets the value of the rltdPties property.

Returns:
  possible object is `TransactionParty1`

#### setRltdPties

    public void setRltdPties​(TransactionParty1 value)

Sets the value of the rltdPties property.

Parameters:
  `value` - allowed object is `TransactionParty1`

#### getRltdAgts

    public TransactionAgents1 getRltdAgts()

Gets the value of the rltdAgts property.

Returns:
  possible object is `TransactionAgents1`

#### setRltdAgts

    public void setRltdAgts​(TransactionAgents1 value)

Sets the value of the rltdAgts property.

Parameters:
  `value` - allowed object is `TransactionAgents1`

#### getPurp

    public Purpose1Choice getPurp()

Gets the value of the purp property.

Returns:
  possible object is `Purpose1Choice`

#### setPurp

    public void setPurp​(Purpose1Choice value)

Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose1Choice`

#### getRltdRmtInf

    public java.util.List<RemittanceLocation1> getRltdRmtInf()

Gets the value of the rltdRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdRmtInf property.

For example, to add a new item, do as follows:

        getRltdRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocation1`

#### getRmtInf

    public RemittanceInformation1 getRmtInf()

Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation1`

#### setRmtInf

    public void setRmtInf​(RemittanceInformation1 value)

Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation1`

#### getRltdDts

    public TransactionDates1 getRltdDts()

Gets the value of the rltdDts property.

Returns:
  possible object is `TransactionDates1`

#### setRltdDts

    public void setRltdDts​(TransactionDates1 value)

Sets the value of the rltdDts property.

Parameters:
  `value` - allowed object is `TransactionDates1`

#### getRltdPric

    public TransactionPrice1Choice getRltdPric()

Gets the value of the rltdPric property.

Returns:
  possible object is `TransactionPrice1Choice`

#### setRltdPric

    public void setRltdPric​(TransactionPrice1Choice value)

Sets the value of the rltdPric property.

Parameters:
  `value` - allowed object is `TransactionPrice1Choice`

#### getRltdQties

    public java.util.List<TransactionQuantities1Choice> getRltdQties()

Gets the value of the rltdQties property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdQties property.

For example, to add a new item, do as follows:

        getRltdQties().add(newItem);

Objects of the following type(s) are allowed in the list `TransactionQuantities1Choice`

#### getFinInstrmId

    public SecurityIdentification4Choice getFinInstrmId()

Gets the value of the finInstrmId property.

Returns:
  possible object is `SecurityIdentification4Choice`

#### setFinInstrmId

    public void setFinInstrmId​(SecurityIdentification4Choice value)

Sets the value of the finInstrmId property.

Parameters:
  `value` - allowed object is `SecurityIdentification4Choice`

#### getTax

    public TaxInformation2 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxInformation2`

#### setTax

    public void setTax​(TaxInformation2 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxInformation2`

#### getRtrInf

    public ReturnReasonInformation5 getRtrInf()

Gets the value of the rtrInf property.

Returns:
  possible object is `ReturnReasonInformation5`

#### setRtrInf

    public void setRtrInf​(ReturnReasonInformation5 value)

Sets the value of the rtrInf property.

Parameters:
  `value` - allowed object is `ReturnReasonInformation5`

#### getCorpActn

    public CorporateAction1 getCorpActn()

Gets the value of the corpActn property.

Returns:
  possible object is `CorporateAction1`

#### setCorpActn

    public void setCorpActn​(CorporateAction1 value)

Sets the value of the corpActn property.

Parameters:
  `value` - allowed object is `CorporateAction1`

#### getSfkpgAcct

    public CashAccount7 getSfkpgAcct()

Gets the value of the sfkpgAcct property.

Returns:
  possible object is `CashAccount7`

#### setSfkpgAcct

    public void setSfkpgAcct​(CashAccount7 value)

Sets the value of the sfkpgAcct property.

Parameters:
  `value` - allowed object is `CashAccount7`

#### getAddtlTxInf

    public java.lang.String getAddtlTxInf()

Gets the value of the addtlTxInf property.

Returns:
  possible object is `String`

#### setAddtlTxInf

    public void setAddtlTxInf​(java.lang.String value)

Sets the value of the addtlTxInf property.

Parameters:
  `value` - allowed object is `String`